SplineBeamPropertyCollection Class

class NXOpen.Motion.SplineBeamPropertyCollection

Bases: object

Represents a collection of SplineBeamProperty

To obtain an instance of this class, refer to NXOpen.Motion.MotionManager

New in version NX12.0.0.

Methods

Method Description
CreateSplineBeamPropertyBuilder Creates a Motion.SplineBeamPropertyBuilder
FindObject Finds the NXOpen.Motion.SplineBeamProperty with the given name.

Method Detail

CreateSplineBeamPropertyBuilder

SplineBeamPropertyCollection.CreateSplineBeamPropertyBuilder

Creates a Motion.SplineBeamPropertyBuilder

Signature CreateSplineBeamPropertyBuilder(splineBeamProperty)

Parameters:splineBeamProperty (NXOpen.Motion.SplineBeamProperty) – NXOpen.Motion.SplineBeamProperty to be edited, if None then create a new one
Returns:SplineBeamPropertyBuilder object
Return type:NXOpen.Motion.SplineBeamPropertyBuilder

New in version NX12.0.0.

License requirements: mechanisms (“MECHANISMS”)

FindObject

SplineBeamPropertyCollection.FindObject

Finds the NXOpen.Motion.SplineBeamProperty with the given name.

An exception will be thrown if no object can be found with given name.

Signature FindObject(name)

Parameters:name (str) – The name of the NXOpen.Motion.SplineBeamProperty
Returns:NXOpen.Motion.SplineBeamProperty with this name
Return type:NXOpen.Motion.SplineBeamProperty

New in version NX12.0.0.

License requirements: mechanisms (“MECHANISMS”)